Closed Bug 1734058 Opened 4 months ago Closed 3 months ago

Update dav1d to new version f52aee04fbd711cddab23d0aa9b196e9c963e7b8 from 2021-10-04 21:58:36

Categories

(Core :: Audio/Video: Playback, enhancement)

enhancement

Tracking

()

RESOLVED FIXED
95 Branch
Tracking Status
firefox95 --- fixed

People

(Reporter: update-bot, Assigned: jbauman)

References

Details

(Whiteboard: [3pl-filed][task_id: cKTM-NhMQ8So8oRAe6v45w])

Attachments

(1 file)

This update covers 141 commits, including 17 new upstream commits I've never filed a bug on before. (They're the top 17.):


f52aee04fbd711cddab23d0aa9b196e9c963e7b8 by Sylvain BERTRAND

https://code.videolan.org/videolan/dav1d-/commit/f52aee04fbd711cddab23d0aa9b196e9c963e7b8
Authored: 2021-09-20 15:26:31 -0400
Committed: 2021-10-04 21:58:36 +0000

Fix compilation when using the gcc atomic wrappers


a67124703f52addd18d122b488525b2561a812de by Janne Grunau

https://code.videolan.org/videolan/dav1d-/commit/a67124703f52addd18d122b488525b2561a812de
Authored: 2021-10-02 16:27:50 +0200
Committed: 2021-10-04 22:50:39 +0200

ci: update aarch64/armv7a/ppc64le docker images


d174e6f0fa8a8dcbd5eacd6d0227b1924edf80be by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/d174e6f0fa8a8dcbd5eacd6d0227b1924edf80be
Authored: 2021-09-21 11:22:01 +0300
Committed: 2021-09-21 10:13:44 +0000

Avoid leaking a dependency on stdatomic.h outside of the main library


c6a08b3aa1ee99dade53e5e32033bc1d14455a22 by Janne Grunau

https://code.videolan.org/videolan/dav1d-/commit/c6a08b3aa1ee99dade53e5e32033bc1d14455a22
Authored: 2021-09-21 09:30:14 +0200
Committed: 2021-09-21 09:41:51 +0200

build: avoid meson's symbols_have_underscore_prefix


9636af88b892703ed13ce9216723c63029b6dd1a by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/9636af88b892703ed13ce9216723c63029b6dd1a
Authored: 2021-09-03 19:38:10 +0200
Committed: 2021-09-20 18:44:35 +0200

Add automatic thread count selection


bdde09b1121546506ad124bc5db1c95614953b29 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/bdde09b1121546506ad124bc5db1c95614953b29
Authored: 2021-09-20 18:41:52 +0200
Committed: 2021-09-20 18:44:35 +0200

checkasm: Avoid using 'bool' as a struct member name


5991883dc6a28a229df6f22101fd86ea80f68358 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/5991883dc6a28a229df6f22101fd86ea80f68358
Authored: 2021-08-25 16:38:21 +0200
Committed: 2021-09-20 13:47:49 +0200

x86: Add high bitdepth mc(t)_scaled AVX2 asm


c6a97f8a3e097c233a5673de45984612546b4c3f by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/c6a97f8a3e097c233a5673de45984612546b4c3f
Authored: 2021-09-09 17:31:51 +0200
Committed: 2021-09-17 16:31:51 +0200

CI: Output the dav1d-test-data commit used in the run


36906a724f1527479ffd312b7ad146fa99a6248b by Konstantin Pavlov

https://code.videolan.org/videolan/dav1d-/commit/36906a724f1527479ffd312b7ad146fa99a6248b
Authored: 2021-09-02 21:18:11 +0300
Committed: 2021-09-17 13:57:01 +0000

CI: Added an AVX512 build job


c7f8c8276b7c1fe59418a427f3b66c0527acaac3 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/c7f8c8276b7c1fe59418a427f3b66c0527acaac3
Authored: 2021-09-12 19:31:07 -0400
Committed: 2021-09-13 09:37:11 -0400

Clear clobbered coefficient array when flushing after seek


d9c01c34dcc5c3472b746ba99591f04d5c07aaba by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/d9c01c34dcc5c3472b746ba99591f04d5c07aaba
Authored: 2021-09-11 10:46:42 -0400
Committed: 2021-09-11 10:47:20 -0400

Fix formatting string


69ff474a7f3a7ccc61c5e6881e45e0afe693f352 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/69ff474a7f3a7ccc61c5e6881e45e0afe693f352
Authored: 2021-09-10 19:38:31 +0200
Committed: 2021-09-10 19:39:05 +0200

Revert "Group lr_lpf_line re-allocation with lr_mask_sz"


833c818b87464baa547a2fc5a4f10e5dd5b2ea32 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/833c818b87464baa547a2fc5a4f10e5dd5b2ea32
Authored: 2021-09-07 20:59:23 +0200
Committed: 2021-09-09 13:42:04 +0000

Minor consistency fixes, purely cosmetic


976b9e496541df00c10f47d189b97d296ea49204 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/976b9e496541df00c10f47d189b97d296ea49204
Authored: 2021-09-07 20:46:11 +0200
Committed: 2021-09-09 13:42:04 +0000

Fix a potential hang when dav1d_submit_frame fails


4613d3a5306e44f3fdc39989e6bb218841e78097 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/4613d3a5306e44f3fdc39989e6bb218841e78097
Authored: 2021-09-08 18:31:10 +0200
Committed: 2021-09-08 21:44:27 +0200

Simplify sgr_x_by_x calculations


e53314177a5a45a1c1c907464b19ade625d110a6 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/e53314177a5a45a1c1c907464b19ade625d110a6
Authored: 2021-09-07 15:39:06 +0200
Committed: 2021-09-07 17:13:44 +0200

Group lr_lpf_line re-allocation with lr_mask_sz


159215a82da88ca6c511194c8188e9df7a193998 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/159215a82da88ca6c511194c8188e9df7a193998
Authored: 2021-09-07 15:23:03 +0200
Committed: 2021-09-07 17:13:41 +0200

Fix lr_lpf_line re-allocation check


cfc04e1e0c799c2627e59f701234c2138e1e02bc by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/cfc04e1e0c799c2627e59f701234c2138e1e02bc
Authored: 2021-09-05 16:33:04 +0200
Committed: 2021-09-05 16:35:19 +0200

x86: Optimize shifts in 8-bit wiener_filter asm


eae65df192fc6df7753fc0a5626af5b1d6d00042 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/eae65df192fc6df7753fc0a5626af5b1d6d00042
Authored: 2021-09-04 13:19:07 -0400
Committed: 2021-09-05 08:19:55 +0000

Fix memleak


b0ad2611d4b5506e56b34e86d5805322858bab2e by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/b0ad2611d4b5506e56b34e86d5805322858bab2e
Authored: 2021-09-03 20:37:01 +0200
Committed: 2021-09-04 20:19:01 +0000

Avoid left-shifting a negative value


a978375bf8ef28b76929adb1c6e9f2013b4a84ac by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/a978375bf8ef28b76929adb1c6e9f2013b4a84ac
Authored: 2021-09-03 19:05:41 +0200
Committed: 2021-09-03 19:08:56 +0200

msvc: Fix some signedness warnings


51a4272f0cb4f59752fbe53e1ef1dfeec26b58ec by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/51a4272f0cb4f59752fbe53e1ef1dfeec26b58ec
Authored: 2021-09-03 18:51:46 +0200
Committed: 2021-09-03 18:55:00 +0200

msvc: Remove unnecessary alignment directive for atomics


2d633652f81be04d22a68f19e8430a64af3e045b by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/2d633652f81be04d22a68f19e8430a64af3e045b
Authored: 2021-09-03 18:51:37 +0200
Committed: 2021-09-03 18:54:59 +0200

msvc: Add compat macros for additional atomic operations


753eef833bdd8ff1585c5c858cafeca8fefbb16e by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/753eef833bdd8ff1585c5c858cafeca8fefbb16e
Authored: 2021-07-26 17:02:02 +0200
Committed: 2021-09-03 16:06:31 +0000

Merge the 3 threading models into a single one


7b433e077298d0f4faf8da6d6eb5774e29bffa54 by Jean-Baptiste Kempf

https://code.videolan.org/videolan/dav1d-/commit/7b433e077298d0f4faf8da6d6eb5774e29bffa54
Authored: 2021-09-03 16:41:46 +0200
Committed: 2021-09-03 16:42:36 +0200

Update version number to 0.9.2


9d6456328a1458970904abb1ee880308c5e4baac by Jean-Baptiste Kempf

https://code.videolan.org/videolan/dav1d-/commit/9d6456328a1458970904abb1ee880308c5e4baac
Authored: 2021-09-03 16:09:29 +0200
Committed: 2021-09-03 16:42:36 +0200

Update NEWS for 0.9.2


bdf0be0a35f5e68a4f45e6610aea22a24d4a0f9c by Jean-Baptiste Kempf

https://code.videolan.org/videolan/dav1d-/commit/bdf0be0a35f5e68a4f45e6610aea22a24d4a0f9c
Authored: 2021-09-03 15:52:09 +0200
Committed: 2021-09-03 14:39:48 +0000

Update README roadmap


4533dd86786110aff5e06afcc487c3d59c3efb62 by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/4533dd86786110aff5e06afcc487c3d59c3efb62
Authored: 2021-08-27 03:12:40 +0200
Committed: 2021-09-03 13:31:42 +0000

CI: snap: Upload releases to stable channel


6ab2b716ccc6142bac1f062eb29e8c0845b06931 by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/6ab2b716ccc6142bac1f062eb29e8c0845b06931
Authored: 2021-09-03 14:53:45 +0200
Committed: 2021-09-03 14:59:59 +0200

x86: Simplify loopfilter init


a4e139b5494458e68272b313809eaa1ffb012d1c by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/a4e139b5494458e68272b313809eaa1ffb012d1c
Authored: 2021-09-01 11:05:45 +0300
Committed: 2021-09-03 11:36:15 +0000

arm32: filmgrain: Add NEON implementation of gen_grain for 16 bpc


0f9cd468146e37718e69bd0fbd335431471ccc0e by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/0f9cd468146e37718e69bd0fbd335431471ccc0e
Authored: 2021-09-02 12:08:38 +0300
Committed: 2021-09-03 11:36:15 +0000

arm64: filmgrain16: Remove a leftover unused macro


6d1e861768380c0eea33c91a2080aa37e97abaa8 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/6d1e861768380c0eea33c91a2080aa37e97abaa8
Authored: 2021-09-01 23:51:35 +0300
Committed: 2021-09-03 11:36:15 +0000

arm64: filmgrain16: Fix the default elems parameter of sum_lag2/3_func


b10b78ab62ae8b0925b328cd3809871a17e01990 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/b10b78ab62ae8b0925b328cd3809871a17e01990
Authored: 2021-09-02 17:53:50 +0200
Committed: 2021-09-02 18:19:21 +0200

x86: Add high bitdepth cfl_ac_444 AVX2 asm


8f4fba5051136d4a642f80b87bdfb61dc609db2a by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/8f4fba5051136d4a642f80b87bdfb61dc609db2a
Authored: 2021-09-02 17:51:26 +0200
Committed: 2021-09-02 18:19:21 +0200

x86: Improve high bitdepth cfl_ac AVX2 asm


0beeaa93d56678e11425fc1a5def972b5bc9666b by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/0beeaa93d56678e11425fc1a5def972b5bc9666b
Authored: 2021-09-01 11:05:45 +0300
Committed: 2021-09-01 11:16:39 +0300

arm32: filmgrain: Add NEON implementation of gen_grain for 8 bpc


abb3a98f740cd56b4a0b1fb2de2e4baa61099eff by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/abb3a98f740cd56b4a0b1fb2de2e4baa61099eff
Authored: 2021-08-31 23:33:29 +0300
Committed: 2021-09-01 11:16:39 +0300

arm64: filmgrain: Remove some unnecessary backups/restores of x30


556b87f7a54d0046256b914012f25bb2e8d20629 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/556b87f7a54d0046256b914012f25bb2e8d20629
Authored: 2021-08-26 10:48:40 +0300
Committed: 2021-09-01 11:16:39 +0300

arm64: filmgrain: Simplify loading coefficients for the lag3 variant


4643c6a771033405b2527ff55c9f85346be7a875 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/4643c6a771033405b2527ff55c9f85346be7a875
Authored: 2021-08-24 15:18:00 +0300
Committed: 2021-09-01 11:16:39 +0300

arm64: filmgrain: Reorder two instructions in the inner loop


64c65de3faf1fa5e0272858203a9590f4ca31927 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/64c65de3faf1fa5e0272858203a9590f4ca31927
Authored: 2021-08-23 19:22:01 +0200
Committed: 2021-08-31 09:47:42 +0000

x86: Automatically convert SSE asm to AVX when compiling for AVX targets


94a0e5ec13febf376d9bf29ed8d0bb693c690c5c by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/94a0e5ec13febf376d9bf29ed8d0bb693c690c5c
Authored: 2021-08-27 19:22:14 +0200
Committed: 2021-08-30 13:20:20 +0200

x86: Add 8-bit w_mask_422 and w_mask_444 SSSE3 asm


47a72ea857333f602786658a46c6258c4b4b831c by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/47a72ea857333f602786658a46c6258c4b4b831c
Authored: 2021-08-22 15:54:56 +0200
Committed: 2021-08-26 10:14:16 +0000

meson: Explicitly set the recursive argument in extract_all_objects()


5d14b4e6710057d8f16b1d5259ad1e6accef6f28 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/5d14b4e6710057d8f16b1d5259ad1e6accef6f28
Authored: 2021-08-22 15:07:45 +0300
Committed: 2021-08-24 23:31:22 +0300

arm: Add NEON implementations of splat_mv


73851bc8a4fab0b18ed59be79362f07c86237fda by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/73851bc8a4fab0b18ed59be79362f07c86237fda
Authored: 2021-08-18 21:49:02 +0200
Committed: 2021-08-23 11:31:31 +0000

x86: Improve high bitdepth cdef_filter AVX2 asm


33cadd1fb530f00817763738d11c03045b9b4236 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/33cadd1fb530f00817763738d11c03045b9b4236
Authored: 2021-08-17 20:21:37 +0200
Committed: 2021-08-23 11:31:31 +0000

x86: Prefer tzcnt over bsr in cdef sec_shift calculations


324778b2910dffc11ba9b0c24d1a31bdbc662d20 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/324778b2910dffc11ba9b0c24d1a31bdbc662d20
Authored: 2021-08-19 20:58:54 +0200
Committed: 2021-08-19 23:38:36 +0200

x86: Add splat_mv AVX2 asm


a1da05c82e02d326ab308631360ed559e63a1110 by Christophe Gisquet

https://code.videolan.org/videolan/dav1d-/commit/a1da05c82e02d326ab308631360ed559e63a1110
Authored: 2021-06-17 21:12:23 +0000
Committed: 2021-08-19 23:38:36 +0200

x86: Add splat_mv SSE2 asm


a1358e43d2081f8ef65ff5d1d6a5228197f724a0 by Christophe Gisquet

https://code.videolan.org/videolan/dav1d-/commit/a1358e43d2081f8ef65ff5d1d6a5228197f724a0
Authored: 2021-08-18 18:02:28 +0000
Committed: 2021-08-19 23:38:35 +0200

checkasm: Add refmvs splat_mv test


e3dbc3de9751e2e946b96ebfad06132b222c4252 by Christophe Gisquet

https://code.videolan.org/videolan/dav1d-/commit/e3dbc3de9751e2e946b96ebfad06132b222c4252
Authored: 2021-06-17 21:12:22 +0000
Committed: 2021-08-19 23:22:09 +0200

refmvs: Make splat_mv into a DSP function


3bae53c0b684b7fedf2f5b0b662a3bbd84631aaf by Christophe Gisquet

https://code.videolan.org/videolan/dav1d-/commit/3bae53c0b684b7fedf2f5b0b662a3bbd84631aaf
Authored: 2021-06-17 21:11:29 +0000
Committed: 2021-08-19 21:29:46 +0200

refmvs: Pack the refmvs_block struct


12156a507b6e4c045e74bdef1dbd9447e666b232 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/12156a507b6e4c045e74bdef1dbd9447e666b232
Authored: 2021-08-17 11:47:24 -0400
Committed: 2021-08-17 14:48:20 -0400

x86/itx: 64x64 inverse dct transforms hbd/sse4


80bfd416d73c85879eee8c845592eace005b01ab by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/80bfd416d73c85879eee8c845592eace005b01ab
Authored: 2021-08-17 08:41:29 -0400
Committed: 2021-08-17 14:48:14 -0400

x86/itx: 64x32 inverse dct transforms hbd/sse4


01466edf2e6e20ce0a3f13c5aacd890536b31df7 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/01466edf2e6e20ce0a3f13c5aacd890536b31df7
Authored: 2021-08-13 08:30:24 -0400
Committed: 2021-08-17 14:35:59 -0400

x86/itx: 64x16 inverse dct transforms hbd/sse4


be788c63194ac6e1dec16896a824c247e4f4fce4 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/be788c63194ac6e1dec16896a824c247e4f4fce4
Authored: 2021-08-12 18:11:52 -0400
Committed: 2021-08-17 14:35:59 -0400

x86/itx: 32x64 inverse dct transforms hbd/sse4


db6455e479fde79d1bf95f5247a76b433300312b by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/db6455e479fde79d1bf95f5247a76b433300312b
Authored: 2021-08-10 18:16:51 -0400
Committed: 2021-08-17 14:35:52 -0400

x86/itx: 16x64 inverse dct transforms hbd/sse4


310a3f4ff4c91643decd2414ef7a747f941bb129 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/310a3f4ff4c91643decd2414ef7a747f941bb129
Authored: 2021-08-11 21:28:31 +0200
Committed: 2021-08-16 15:28:17 +0000

x86: Add high bitdepth cdef_filter SSSE3 asm


8d7f654d6a617ff9d4151b35bb5c89e2445b606f by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/8d7f654d6a617ff9d4151b35bb5c89e2445b606f
Authored: 2021-08-11 21:26:09 +0200
Committed: 2021-08-16 15:28:17 +0000

cdef: Remove redundant clipping


0141476db82245ad0bc87863179636e5401b4ab7 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/0141476db82245ad0bc87863179636e5401b4ab7
Authored: 2021-06-07 13:19:20 +0300
Committed: 2021-08-13 18:16:47 +0300

arm64: filmgrain16: Add NEON implementation of gen_grain for 16 bpc


fcf148b30f059e4e1e827b4f9ff192f6b9ec60b0 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/fcf148b30f059e4e1e827b4f9ff192f6b9ec60b0
Authored: 2021-08-12 15:34:11 +0300
Committed: 2021-08-13 18:16:47 +0300

arm64: filmgrain: Deduplicate the sum_lagN functions


54a22a4f7c97fdb1770d11157e7214d12e94b686 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/54a22a4f7c97fdb1770d11157e7214d12e94b686
Authored: 2021-08-12 15:17:32 +0300
Committed: 2021-08-13 18:16:47 +0300

arm64: filmgrain: Deduplicate the output_lag functions


caa2ede5f76f7e994e78c15f548123ed89eea6d4 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/caa2ede5f76f7e994e78c15f548123ed89eea6d4
Authored: 2021-08-12 15:03:05 +0300
Committed: 2021-08-13 18:16:47 +0300

arm64: filmgrain: Remove two stray ret instructions


513e4c2401b2379f12de9494098fe44496521238 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/513e4c2401b2379f12de9494098fe44496521238
Authored: 2021-08-12 14:16:23 +0300
Committed: 2021-08-13 18:16:47 +0300

arm64: filmgrain: Uninline the get_grain_2 macro


95c3530eb7677e48be0993a781e92be20d9a5881 by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/95c3530eb7677e48be0993a781e92be20d9a5881
Authored: 2021-08-12 12:54:24 +0300
Committed: 2021-08-13 18:16:47 +0300

arm64: filmgrain: Fix some cases of vertical whitespace alignment


db4a486dfb3eefb0a26b39e8316ce74036a9e15c by Martin Storsjö

https://code.videolan.org/videolan/dav1d-/commit/db4a486dfb3eefb0a26b39e8316ce74036a9e15c
Authored: 2021-06-22 00:45:15 +0300
Committed: 2021-08-13 18:16:47 +0300

arm64: filmgrain: Fix some comments in gen_grain


f3b2599ff7def063ae393a98297ac93cee547789 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/f3b2599ff7def063ae393a98297ac93cee547789
Authored: 2021-08-12 16:04:55 +0200
Committed: 2021-08-13 14:35:49 +0000

checkasm: Improve register preservation checking on x86


8cab97e329add1adb3e1dd1238ac9c417c895e6c by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/8cab97e329add1adb3e1dd1238ac9c417c895e6c
Authored: 2021-08-12 13:46:27 +0200
Committed: 2021-08-13 14:35:49 +0000

checkasm: Properly unregister exception handlers on Windows


878e16693bed5a9e8e6e7c401ccaf9d72e26386b by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/878e16693bed5a9e8e6e7c401ccaf9d72e26386b
Authored: 2021-08-12 13:09:14 +0200
Committed: 2021-08-13 14:35:49 +0000

checkasm: Prefer calling function through checked_call()


a900eb3184c9e490a09ac7467732461829bba202 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/a900eb3184c9e490a09ac7467732461829bba202
Authored: 2021-08-11 13:35:25 +0200
Committed: 2021-08-13 13:33:50 +0000

checkasm: Fix error reporting in itx tests


78d4c878514b51aa0df9d1a639e2ecb6df4f2432 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/78d4c878514b51aa0df9d1a639e2ecb6df4f2432
Authored: 2021-08-11 18:00:00 -0400
Committed: 2021-08-12 15:20:03 -0400

itx/x86: rewrite .transpose4x8packed so it uses only m0-3,4&6


ec9ecba1e65fcf7276487697b0f38834390a18d2 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/ec9ecba1e65fcf7276487697b0f38834390a18d2
Authored: 2021-08-10 18:01:00 -0400
Committed: 2021-08-12 15:20:03 -0400

itx/x86: replace idct8x8.transpose with idct8x4.transpose4x8packed


59770564c038c287514aca1055cae3ee25be4529 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/59770564c038c287514aca1055cae3ee25be4529
Authored: 2021-08-10 12:28:08 -0400
Committed: 2021-08-12 15:20:01 -0400

x86/itx: add 1/sqrt(2) (rect2) multiply macro


5455e8250cee507b9b7e7cead767ce577bb9106a by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/5455e8250cee507b9b7e7cead767ce577bb9106a
Authored: 2021-08-10 10:22:21 -0400
Committed: 2021-08-12 14:47:14 -0400

x86/itx: share pass2 loop between {16,32}x32 dct^2 functions


9cf9d4a61323696821809c98f4e5cdc96639cb68 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/9cf9d4a61323696821809c98f4e5cdc96639cb68
Authored: 2021-08-10 09:20:02 -0400
Committed: 2021-08-12 14:01:45 -0400

x86/itx: combine .write_8x8 and .round{1,2,3,4} into a single function


7050f0581db37bae99b0ff525d535dea913f670c by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/7050f0581db37bae99b0ff525d535dea913f670c
Authored: 2021-08-10 08:21:44 -0400
Committed: 2021-08-12 14:01:45 -0400

x86/itx: combine .write_8x4 and .round{1,2} into a single function


a5cea27ce964683da327cf1b5d3203fbb70b6138 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/a5cea27ce964683da327cf1b5d3203fbb70b6138
Authored: 2021-08-10 08:11:46 -0400
Committed: 2021-08-12 14:01:45 -0400

x86/itx: split dct/adst/identity pass=2 implementations for 16x8


86b03c3cbe3765040e63155f65779e6df1fa5938 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/86b03c3cbe3765040e63155f65779e6df1fa5938
Authored: 2021-08-09 17:28:57 -0400
Committed: 2021-08-12 16:56:40 +0000

x86/itx: 32x32 inverse dct transforms hbd/sse4


59b3fe6c50d997a838ab360a726675b85d61ff43 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/59b3fe6c50d997a838ab360a726675b85d61ff43
Authored: 2021-08-09 17:17:26 -0400
Committed: 2021-08-12 16:56:40 +0000

x86/itx: 32x16 inverse dct transforms hbd/sse4


2974828a2502638a899456646b0369122737857d by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/2974828a2502638a899456646b0369122737857d
Authored: 2021-08-08 17:08:19 -0400
Committed: 2021-08-12 16:56:40 +0000

x86/itx: 32x8 inverse dct transforms hbd/sse4


de6603a20763cb78c062398e79ad74071234b5d0 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/de6603a20763cb78c062398e79ad74071234b5d0
Authored: 2021-08-09 17:05:14 -0400
Committed: 2021-08-12 16:56:40 +0000

x86/itx: 16x32 inverse dct transforms hbd/sse4


072eb214300024b19b240f8379489f41b6908519 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/072eb214300024b19b240f8379489f41b6908519
Authored: 2021-08-09 17:05:05 -0400
Committed: 2021-08-12 16:56:40 +0000

x86/itx: 8x32 inverse dct transforms hbd/sse4


b1adba65c9ac752e49c5957ae2891814d084523d by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/b1adba65c9ac752e49c5957ae2891814d084523d
Authored: 2021-08-06 14:26:15 +0200
Committed: 2021-08-12 12:14:49 +0200

x86: Add high bitdepth mc.resize SSSE3 asm


e647a54db93ec6b4d8ced79109f527f6083e66fe by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/e647a54db93ec6b4d8ced79109f527f6083e66fe
Authored: 2021-08-12 12:06:38 +0200
Committed: 2021-08-12 12:14:48 +0200

x86: Fix minor things in mc.resize_8bpc_ssse3


e479e4a942fbe38f47555fab356ce25bcd753a02 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/e479e4a942fbe38f47555fab356ce25bcd753a02
Authored: 2021-08-04 15:18:54 +0200
Committed: 2021-08-12 12:14:48 +0200

x86: Add high bitdepth mc.resize AVX2 asm


b7f550315999d1fa11a021c842f180205afbaaaf by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/b7f550315999d1fa11a021c842f180205afbaaaf
Authored: 2021-08-12 12:03:36 +0200
Committed: 2021-08-12 12:14:48 +0200

x86: Add minor improvement to mc.resize_8bpc_avx2


356387f6f64464c7a1c9d8ad36fcc59765555305 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/356387f6f64464c7a1c9d8ad36fcc59765555305
Authored: 2021-08-04 15:18:03 +0200
Committed: 2021-08-12 12:14:48 +0200

x86: Add bpc suffix to mc functions


b119e71dc5fb0f32d3d52f71ec13a6ed9a7e5216 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/b119e71dc5fb0f32d3d52f71ec13a6ed9a7e5216
Authored: 2021-08-09 17:04:05 -0400
Committed: 2021-08-10 09:06:27 -0400

x86/itx: merge pass=2 rounding and writing operations


ec18f047caddca0aeb75cc9ab1b2371fe9c61383 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/ec18f047caddca0aeb75cc9ab1b2371fe9c61383
Authored: 2021-08-03 08:07:20 -0400
Committed: 2021-08-10 11:33:18 +0000

x86/itx: 32x{8,16,32} & {8,16}x32 idtx transforms hbd/sse4


a5f32330e425aa66e364da3bca99907746fe6cc5 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/a5f32330e425aa66e364da3bca99907746fe6cc5
Authored: 2021-08-04 20:51:17 -0400
Committed: 2021-08-08 17:50:09 -0400

x86/itx: replace .transpose8x8 with 2 calls to .transpose4x8packed


b34244599cc75bc2433981a71f5a960a2961f872 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/b34244599cc75bc2433981a71f5a960a2961f872
Authored: 2021-08-04 10:46:18 -0400
Committed: 2021-08-04 10:46:41 -0400

x86/itx: document third argument in INV_TXFM_WxH_FN macros


fe903da5b8b0715e43b4c8afe2b5d15bc04888ea by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/fe903da5b8b0715e43b4c8afe2b5d15bc04888ea
Authored: 2021-08-03 13:58:32 +0200
Committed: 2021-08-03 14:58:45 +0000

x86: Rewrite sgr8 SSSE3 asm


935175daa7225436fb79b01c2b12feaeb5382f08 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/935175daa7225436fb79b01c2b12feaeb5382f08
Authored: 2021-08-02 17:06:10 +0200
Committed: 2021-08-03 14:58:45 +0000

x86: Add minor improvements to sgr16 SSSE3 asm


7edb1a7ed53433d480494d8b92d8b36b7687b040 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/7edb1a7ed53433d480494d8b92d8b36b7687b040
Authored: 2021-08-02 16:40:08 -0400
Committed: 2021-08-02 18:17:32 -0400

x86/itx: 16x16 inverse transforms hbd/sse4


bcc994514ca70dbd05513967a6fb52f2aa0eb84f by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/bcc994514ca70dbd05513967a6fb52f2aa0eb84f
Authored: 2021-07-30 11:58:43 -0400
Committed: 2021-08-02 18:17:16 -0400

x86/itx: 16x8 inverse transforms hbd/sse4


ac8fa32a0617a18b0543d94f65d6117e5b7b11cb by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/ac8fa32a0617a18b0543d94f65d6117e5b7b11cb
Authored: 2021-07-24 08:49:26 -0400
Committed: 2021-08-02 18:16:04 -0400

x86/itx: 16x4 inverse transforms hbd/sse4


7ee2501b362c756cc0fef11412c6afea34de031c by Jean-Baptiste Kempf

https://code.videolan.org/videolan/dav1d-/commit/7ee2501b362c756cc0fef11412c6afea34de031c
Authored: 2021-07-28 22:31:07 +0200
Committed: 2021-07-28 22:31:27 +0200

Final news for 0.9.1


1ff26cd7fc8cf9bd8fa351a4a9311bf633775226 by Jean-Baptiste Kempf

https://code.videolan.org/videolan/dav1d-/commit/1ff26cd7fc8cf9bd8fa351a4a9311bf633775226
Authored: 2021-07-20 15:20:50 +0200
Committed: 2021-07-28 16:08:57 +0000

Release 0.9.1


e266f9fa40c61a1b60051c7ff76d54a21463dbcd by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/e266f9fa40c61a1b60051c7ff76d54a21463dbcd
Authored: 2021-07-21 13:01:34 -0400
Committed: 2021-07-28 09:13:38 -0400

x86/itx: 8x16 inverse transforms hbd/sse4


d5c0831297a2af2641c7ea782c2661dcf130eefb by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/d5c0831297a2af2641c7ea782c2661dcf130eefb
Authored: 2021-07-21 08:46:48 -0400
Committed: 2021-07-28 09:13:32 -0400

x86/itx: 8x8 inverse transforms hbd/sse4


a804d43004c0ad43748ded689a3d99a5346fa4bd by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/a804d43004c0ad43748ded689a3d99a5346fa4bd
Authored: 2021-07-20 13:57:18 -0400
Committed: 2021-07-28 09:10:14 -0400

x86/itx: add eob-based fast path to 4x16 hbd/sse4 itx


e7228e80133a6b8c8d54d943bf438de1014e0ad3 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/e7228e80133a6b8c8d54d943bf438de1014e0ad3
Authored: 2021-07-20 12:15:03 -0400
Committed: 2021-07-28 09:10:14 -0400

x86/itx: add eob-based fast path to 4x8 hbd/sse4 itx


999a1c4d2adaaa6a97810512a3967d20498d62be by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/999a1c4d2adaaa6a97810512a3967d20498d62be
Authored: 2021-07-18 19:28:48 -0400
Committed: 2021-07-28 09:10:14 -0400

x86/itx: 8x4 inverse transforms hbd/sse4


ba183d230c69dc5335c1b773b329a66d36c7ac4f by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/ba183d230c69dc5335c1b773b329a66d36c7ac4f
Authored: 2021-07-18 09:20:17 -0400
Committed: 2021-07-28 09:10:10 -0400

x86/itx: 4x16 inverse transforms hbd/sse4


755364cbc6c29d211f279c4cb9bf7e450171aeca by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/755364cbc6c29d211f279c4cb9bf7e450171aeca
Authored: 2021-07-17 10:50:42 -0400
Committed: 2021-07-21 11:12:28 -0400

x86/itx: 4x8 inverse transforms hbd/sse4


c719d4a4e13dc865909b220118d935ac698ac9ba by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/c719d4a4e13dc865909b220118d935ac698ac9ba
Authored: 2021-07-16 17:31:42 -0400
Committed: 2021-07-20 12:23:15 +0000

x86/filmgrain: add fguv_32x32xn_i444 HBD/AVX2


cc0e2d5f2d1aef63d18d8e99921d58fd372686be by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/cc0e2d5f2d1aef63d18d8e99921d58fd372686be
Authored: 2021-07-16 14:35:23 -0400
Committed: 2021-07-20 12:23:15 +0000

x86/filmgrain: add fguv_32x32xn_i422 HBD/AVX2


8f858c2385449b5da27d7816a82d868192635e84 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/8f858c2385449b5da27d7816a82d868192635e84
Authored: 2021-07-16 11:10:34 -0400
Committed: 2021-07-20 12:23:15 +0000

x86/filmgrain: add fguv_32x32xn_i422/444 HBD/SSSE3


14b373acc0c38a3e4b3dad7575f929e6eb847f27 by Jean-Baptiste Kempf

https://code.videolan.org/videolan/dav1d-/commit/14b373acc0c38a3e4b3dad7575f929e6eb847f27
Authored: 2021-06-28 19:36:02 +0200
Committed: 2021-07-19 19:54:30 +0000

News for 0.9.1


42978746f425351e450381525628edc83e372727 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/42978746f425351e450381525628edc83e372727
Authored: 2021-07-17 17:37:35 -0400
Committed: 2021-07-19 13:09:20 +0000

x86/itx: change function signatures of itx_4x4 to 0 GPRs


1944317ea66dc456d9ba7464e547064c082a08df by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/1944317ea66dc456d9ba7464e547064c082a08df
Authored: 2021-07-15 11:09:03 -0400
Committed: 2021-07-16 17:51:17 -0400

x86/filmgrain: simplify post-horizontal filter blending


73db537834bd91d571b8a15ec6b14a619b0ea320 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/73db537834bd91d571b8a15ec6b14a619b0ea320
Authored: 2021-07-14 13:18:33 -0400
Committed: 2021-07-15 15:07:22 +0000

x86/filmgrain: add generate_grain_uv_i422/i444 HBD AVX2 & SSSE3


5808975341835008b06501270377b3b247188ed5 by Mehdi Sabwat

https://code.videolan.org/videolan/dav1d-/commit/5808975341835008b06501270377b3b247188ed5
Authored: 2021-07-05 19:18:54 +0200
Committed: 2021-07-15 08:37:32 +0000

build : enable atomics for wasm-emscripten


35aa1c226b21a7b8cf44cdef636c8a8d26d58062 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/35aa1c226b21a7b8cf44cdef636c8a8d26d58062
Authored: 2021-07-13 23:24:25 +0000
Committed: 2021-07-14 17:44:21 +0000

x86/filmgrain: make fguv_i420_32x32xn HBD/SSSE3 32bit-compatible


6235cdf16ea44c29db883ed92c65101e1bdfbb04 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/6235cdf16ea44c29db883ed92c65101e1bdfbb04
Authored: 2021-07-13 16:16:24 +0000
Committed: 2021-07-14 17:44:21 +0000

x86/filmgrain: make fgy_32x32xn HBD/SSSE3 32bit-compatible


461336a8ec45b6285ce53ef0c09fe2360a676a42 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/461336a8ec45b6285ce53ef0c09fe2360a676a42
Authored: 2021-07-12 12:33:55 +0200
Committed: 2021-07-14 12:59:39 +0000

x86: Add high bitdepth ipred_filter SSSE3 asm


7e6fc8b040274157254218acf3e49fde2054bed3 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/7e6fc8b040274157254218acf3e49fde2054bed3
Authored: 2021-07-05 13:15:11 +0000
Committed: 2021-07-12 13:36:48 +0000

x86/film_grain: make generate_grain_y/uv_420 32-bit compatible


513fd90c26f2096cc553f9738675ba92e4257da1 by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/513fd90c26f2096cc553f9738675ba92e4257da1
Authored: 2021-06-10 15:30:16 +0200
Committed: 2021-07-12 07:40:23 +0000

x86: Add high bitdepth (10-bit) sgr SSSE3 asm


12f170c43724138c41cf9f71739e2823e0da47fe by Victorien Le Couviour--Tuffet

https://code.videolan.org/videolan/dav1d-/commit/12f170c43724138c41cf9f71739e2823e0da47fe
Authored: 2021-06-29 14:47:43 +0200
Committed: 2021-07-12 07:40:23 +0000

x86: Add minor improvements to wiener16 SSSE3 asm


895cda326200ee95f8db13c90e739a47252681d3 by James Almer

https://code.videolan.org/videolan/dav1d-/commit/895cda326200ee95f8db13c90e739a47252681d3
Authored: 2021-07-06 15:13:26 -0300
Committed: 2021-07-09 16:21:12 +0000

lib: return DAV1D_ERR(ENOENT) if no seqhdr OBU was found


123c58196f4c632dd15fa637a60b6ceda40f93e4 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/123c58196f4c632dd15fa637a60b6ceda40f93e4
Authored: 2021-07-02 15:38:30 +0200
Committed: 2021-07-08 13:02:35 +0000

x86: Add high bitdepth cfl_ac SSSE3 asm


2037b3c8a87a2839447444526d620c32bb7be817 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/2037b3c8a87a2839447444526d620c32bb7be817
Authored: 2021-07-02 15:38:24 +0200
Committed: 2021-07-08 13:02:35 +0000

x86: Add high bitdepth cfl_pred SSSE3 asm


33180d8f6f29116f5c19dc0cb43155335afe6035 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/33180d8f6f29116f5c19dc0cb43155335afe6035
Authored: 2021-06-29 18:11:22 +0000
Committed: 2021-07-06 21:45:20 +0000

x86/deblock: make hbd/ssse3 implementations 32bit-compatible


da98a8d562a928d89e0aed10f26ebff1260a8117 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/da98a8d562a928d89e0aed10f26ebff1260a8117
Authored: 2021-07-01 08:16:03 -0400
Committed: 2021-07-05 07:40:27 -0400

x86/deblock_avx2: use vpblendvb instead of pand/pandn/por in flat16/8/6


0aca76c3b75b7cd4762a516aec27c29e6b80df4f by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/0aca76c3b75b7cd4762a516aec27c29e6b80df4f
Authored: 2021-06-30 19:46:12 -0400
Committed: 2021-07-05 07:40:24 -0400

x86/deblock_hbd_avx2: use vpblendvb instead of pand/pandn/por in flat16/8/6


30000457582d8751022b8ff9e5e18dd7835efedf by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/30000457582d8751022b8ff9e5e18dd7835efedf
Authored: 2021-06-23 22:33:17 +0200
Committed: 2021-06-24 14:20:44 +0200

x86: Add high bitdepth smooth ipred SSSE3 asm


a5e123625d443051d3a297f7276d5dce90382098 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/a5e123625d443051d3a297f7276d5dce90382098
Authored: 2021-06-23 22:31:45 +0200
Committed: 2021-06-24 14:20:44 +0200

x86: Optimize high bitdepth smooth ipred AVX2 asm


8c584526eab4cad9cbe3d655712f8c3bed4ab92a by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/8c584526eab4cad9cbe3d655712f8c3bed4ab92a
Authored: 2021-06-21 12:59:25 +0200
Committed: 2021-06-23 22:37:22 +0200

x86: Add high bitdepth pal_pred SSSE3 asm


1cd6537f881afd37393d483ad8a353ee37c31005 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/1cd6537f881afd37393d483ad8a353ee37c31005
Authored: 2021-06-21 12:59:22 +0200
Committed: 2021-06-23 22:37:21 +0200

x86: Add high bitdepth paeth ipred SSSE3 asm


bfdc1742d7d93638ac2e73429d0b6a2f874767e3 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/bfdc1742d7d93638ac2e73429d0b6a2f874767e3
Authored: 2021-06-21 12:59:15 +0200
Committed: 2021-06-23 20:34:35 +0200

x86: Add high bitdepth dc/h/v ipred SSSE3 asm


e4812a6ad7621bb25f9d4ac40e8413e24ac78857 by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/e4812a6ad7621bb25f9d4ac40e8413e24ac78857
Authored: 2021-06-21 19:30:39 +0200
Committed: 2021-06-21 19:30:39 +0200

x86: itx4: Inline transpose


89be94d41ec0b37df5d7f0a247388c6972e108aa by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/89be94d41ec0b37df5d7f0a247388c6972e108aa
Authored: 2021-06-20 19:52:31 +0200
Committed: 2021-06-20 23:02:02 +0200

x86: Add bpc suffix to filmgrain functions


c7e0ad4577ee3d8625cc3c46c8db0a018d9db806 by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/c7e0ad4577ee3d8625cc3c46c8db0a018d9db806
Authored: 2021-06-20 18:47:17 +0200
Committed: 2021-06-20 23:02:02 +0200

x86: Add bpc suffix to loopfilter functions


a6821cee0a88d309b1c683a77062287b1c12a213 by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/a6821cee0a88d309b1c683a77062287b1c12a213
Authored: 2021-06-20 18:25:29 +0200
Committed: 2021-06-20 23:02:02 +0200

x86: Add bpc suffix to ipred functions


27f0b245e0571849c22a32fc6be74d40d926ad83 by James Almer

https://code.videolan.org/videolan/dav1d-/commit/27f0b245e0571849c22a32fc6be74d40d926ad83
Authored: 2021-06-20 16:48:29 -0300
Committed: 2021-06-20 20:24:48 +0000

build: add -Wstrict-prototypes to the compiler arguments


a336f470edde80bb2252b99b2d1cbd7cd40f17d0 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/a336f470edde80bb2252b99b2d1cbd7cd40f17d0
Authored: 2021-06-20 18:42:21 +0200
Committed: 2021-06-20 19:02:56 +0200

Use the 'noclonefunction attribute in addition to 'noinline


f951165ea6530c1bb589064709fe7ae7b7e9eb72 by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/f951165ea6530c1bb589064709fe7ae7b7e9eb72
Authored: 2021-06-19 20:44:56 +0200
Committed: 2021-06-19 20:44:56 +0200

x86: itx: Port 10-bit 4x4 transforms to SSE4


f4a8f804fd321dbf7cb26c2203ec9c544f1f71b2 by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/f4a8f804fd321dbf7cb26c2203ec9c544f1f71b2
Authored: 2021-06-12 00:16:34 +0200
Committed: 2021-06-18 17:48:56 +0200

x86: itx: wht: Minor fixes


b3d988fa94b66bd676bda0f9939e45f68f373629 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/b3d988fa94b66bd676bda0f9939e45f68f373629
Authored: 2021-06-18 13:37:15 +0200
Committed: 2021-06-18 13:46:43 +0200

x86: Fix warp_affine_8x8t_16bpc_ssse3 on 64-bit Windows + LLVM


770c9c834d1818dc7a532dbf3ba3bcb690043cfb by Matthias Dressel

https://code.videolan.org/videolan/dav1d-/commit/770c9c834d1818dc7a532dbf3ba3bcb690043cfb
Authored: 2021-06-18 02:00:35 +0200
Committed: 2021-06-18 02:54:34 +0200

x86: Add bpc suffix to itx functions


3ff8f571c910c30d924ac76b0a6010d01f256ba8 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/3ff8f571c910c30d924ac76b0a6010d01f256ba8
Authored: 2021-06-11 16:44:59 +0200
Committed: 2021-06-17 12:00:49 +0000

x86: Add high bitdepth warp8x8 SSSE3 asm


e6497c2a253f4913ee3de8b735b2dcbf55271795 by Henrik Gramner

https://code.videolan.org/videolan/dav1d-/commit/e6497c2a253f4913ee3de8b735b2dcbf55271795
Authored: 2021-06-15 21:41:56 +0200
Committed: 2021-06-15 21:41:56 +0200

x86inc: Support memory operands in src1 in 3-operand instructions


b52be25027f95f6868a868001c1b9780343bfbef by Christophe Gisquet

https://code.videolan.org/videolan/dav1d-/commit/b52be25027f95f6868a868001c1b9780343bfbef
Authored: 2021-06-15 09:03:22 -0400
Committed: 2021-06-15 15:57:48 +0000

Disable TMVP code when disabled in sequence header


af16b652aad66f6971f3d2bdedc502b1e24747b6 by Ronald S. Bultje

https://code.videolan.org/videolan/dav1d-/commit/af16b652aad66f6971f3d2bdedc502b1e24747b6
Authored: 2021-06-04 07:11:13 -0400
Committed: 2021-06-15 09:49:02 -0400

Add SSSE3 HBD filmgrain assembly optimizations


Duplicate of this bug: 1729340

./mach vendor media/libdav1d/moz.yaml failed with the following message:

0:00.64 Latest commit is f52aee04fbd711cddab23d0aa9b196e9c963e7b8 from 2021-10-04T21:58:36.000+00:00
0:00.64 Fetching code archive from https://code.videolan.org/videolan/dav1d/-/archive/f52aee04fbd711cddab23d0aa9b196e9c963e7b8.tar.gz
0:01.63 rm -rf third_party/dav1d
0:01.64 Unpacking upstream files from third_party/dav1d.
0:01.72 Removing unnecessary files.
0:01.72 Removing: ['third_party/dav1d/build/.gitattributes', 'third_party/dav1d/build/.gitignore', 'third_party/dav1d/doc', 'third_party/dav1d/examples', 'third_party/dav1d/package', 'third_party/dav1d/tools', 'third_party/dav1d/.gitlab-ci.yml', 'third_party/dav1d/.gitignore']
0:01.72 Updating moz.yaml.
Found release: commit ddbbfde198aced0d02ea739c320d754d43406f7b (2021-06-12T07:58:29.000+00:00).

Found revision: ddbbfde198aced0d02ea739c320d754d43406f7b

0:01.72 Updating files
0:01.72 Registering changes with version control.
0:02.37 Updating moz.build files
0:05.98 Could not add third_party/dav1d/tests/checkasm/arm/checkasm_32.S to the appropriate moz.build file
0:06.00 Could not add third_party/dav1d/tests/checkasm/arm/checkasm_64.S to the appropriate moz.build file
0:06.01 Could not add third_party/dav1d/tests/checkasm/cdef.c to the appropriate moz.build file
0:06.02 Could not add third_party/dav1d/tests/checkasm/checkasm.c to the appropriate moz.build file
0:06.04 Could not add third_party/dav1d/tests/checkasm/filmgrain.c to the appropriate moz.build file
0:06.05 Could not add third_party/dav1d/tests/checkasm/ipred.c to the appropriate moz.build file
0:06.07 Could not add third_party/dav1d/tests/checkasm/itx.c to the appropriate moz.build file
0:06.08 Could not add third_party/dav1d/tests/checkasm/loopfilter.c to the appropriate moz.build file
0:06.09 Could not add third_party/dav1d/tests/checkasm/looprestoration.c to the appropriate moz.build file
0:06.11 Could not add third_party/dav1d/tests/checkasm/mc.c to the appropriate moz.build file
0:06.12 Could not add third_party/dav1d/tests/checkasm/msac.c to the appropriate moz.build file
0:06.13 Could not add third_party/dav1d/tests/checkasm/refmvs.c to the appropriate moz.build file
0:06.15 Could not add third_party/dav1d/tests/checkasm/x86/checkasm.asm to the appropriate moz.build file
0:06.16 Could not add third_party/dav1d/tests/header_test.c to the appropriate moz.build file
0:06.17 Could not add third_party/dav1d/tests/seek_stress.c to the appropriate moz.build file
0:06.17 This is a deficiency in ./mach vendor and should be reported to the Updatebot maintainers.

Flags: needinfo?(jbauman)

We are close to a patch that will fix this issue with the tests files not being able to be added....

I'm currently working on this, but it's a bit more involved than a regular update. Should hopefully have something up for review sometime this coming week.

Assignee: nobody → jbauman
Status: NEW → ASSIGNED
Flags: needinfo?(jbauman)
Pushed by jbauman@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/7c43b7cf95c4
Update dav1d to new version f52aee04fbd711cddab23d0aa9b196e9c963e7b8 from 2021-10-04 21:58:36. r=mjf,haik
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → 95 Branch
You need to log in before you can comment on or make changes to this bug.